sssd won't start

Bug #1900642 reported by Rob Frohne on 2020-10-20
46
This bug affects 9 people
Affects Status Importance Assigned to Milestone
sssd (Ubuntu)
High
Sergio Durigan Junior
Focal
Medium
Sergio Durigan Junior
Groovy
Medium
Sergio Durigan Junior
Hirsute
High
Sergio Durigan Junior

Bug Description

[ Impact ]

Starting from Groovy, sssd became a dependency of ubuntu-desktop. This means that Ubuntu users who install the Desktop version will automatically get sssd installed in their systems.

By default, sssd does not try to make any assumptions about the user setup, and does not install a configuration file under /etc/sssd. However, the sssd daemon requires a valid configuration file (/etc/sssd/sssd.conf) in order to successfully start.

These two facts are now causing pristine Groovy installations to display error messages in the log files (journalctl, during boot time) saying that sssd has failed to start. This can cause (and has caused) confusion to the users, who might assume that there is something wrong with their systems.

[ Test Case ]

The test case is simple: you just have to install Ubuntu Groovy Desktop and look at journalctl when you boot the system. You will find error messages like these:

Dec 10 15:06:01 groovy-desktop sssd[800]: SSSD couldn't load the configuration database [2]: No such file or directory.
Dec 10 15:06:01 groovy-desktop systemd[1]: sssd.service: Main process exited, code=exited, status=4/NOPERMISSION
Dec 10 15:06:01 groovy-desktop systemd[1]: sssd.service: Failed with result 'exit-code'.
Dec 10 15:06:01 groovy-desktop systemd[1]: Failed to start System Security Services Daemon.
...

With the proposed solution, the user will still see warnings about the sssd socket-activated unit files not being able to start, but no more error messages saying that sssd could not start.

[ Regression Potential ]

The regression potential is low.

* Unless there is a hidden bug in the way systemd performs the ConditionPathExists check, if the user already has sssd active and configured in her system, the service will continue working (i.e., being properly started) as usual.

* Unless the user recompiles sssd to make it look at another configuration file (which is something not supported by Ubuntu), /etc/sssd/sssd.conf will always be the defaul place where the configuration should live.

[ Original Description ]

I am getting messages that sssd failed to start on bootup.

Here is a sample of /var/log/sssd.log

(2020-10-18 12:55:12:700497): [sssd] [main] (0x0020): SSSD couldn't load the configuration database.
(2020-10-19 19:52:22:769622): [sssd] [confdb_expand_app_domains] (0x0010): No domains configured, fatal error!
(2020-10-19 19:52:22:769957): [sssd] [get_monitor_config] (0x0010): Failed to expand application domains
(2020-10-19 19:52:22:770016): [sssd] [get_monitor_config] (0x0010): No domains configured.

Here is what sssd.service says:

● sssd.service - System Security Services Daemon
     Loaded: loaded (/lib/systemd/system/sssd.service; enabled; vendor preset: enabled)
     Active: failed (Result: exit-code) since Mon 2020-10-19 19:56:55 PDT; 4min 50s ago
    Process: 721 ExecStart=/usr/sbin/sssd -i ${DEBUG_LOGGER} (code=exited, status=4)
   Main PID: 721 (code=exited, status=4)

Oct 19 19:56:55 260-home systemd[1]: sssd.service: Scheduled restart job, restart counter is at 5.
Oct 19 19:56:55 260-home systemd[1]: Stopped System Security Services Daemon.
Oct 19 19:56:55 260-home systemd[1]: sssd.service: Start request repeated too quickly.
Oct 19 19:56:55 260-home systemd[1]: sssd.service: Failed with result 'exit-code'.
Oct 19 19:56:55 260-home systemd[1]: Failed to start System Security Services Daemon.

I'm not familiar with System Security Services, and don't know if this is something to worry about or not, but I think at least it is slowing my boot time.

Rob

ProblemType: Bug
DistroRelease: Ubuntu 20.10
Package: sssd 2.3.1-3
ProcVersionSignature: Ubuntu 5.8.0-25.26-generic 5.8.14
Uname: Linux 5.8.0-25-generic x86_64
ApportVersion: 2.20.11-0ubuntu50
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Mon Oct 19 20:14:32 2020
InstallationDate: Installed on 2020-10-06 (13 days ago)
InstallationMedia: Ubuntu 20.10 "Groovy Gorilla" - Beta amd64 (20201005)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: sssd
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Revision history for this message
Rob Frohne (frohro) wrote :
Revision history for this message
Alex Murray (alexmurray) wrote : Bug is not a security issue

Thanks for taking the time to report this bug and helping to make Ubuntu better. We appreciate the difficulties you are facing, but this appears to be a "regular" (non-security) bug. I have unmarked it as a security issue since this bug does not show evidence of allowing attackers to cross privilege boundaries nor directly cause loss of data/privacy. Please feel free to report any other bugs you may find.

information type: Private Security → Public
Revision history for this message
Rob Frohne (frohro) wrote : Re: [Bug 1900642] Re: sssd won't start

Thanks Alex!  I wasn't sure if it was important or not security-wise.

Rob

On 10/19/20 8:59 PM, Alex Murray wrote:
> CAUTION: This email originated from outside the Walla Walla University email system.
>
>
> Thanks for taking the time to report this bug and helping to make Ubuntu
> better. We appreciate the difficulties you are facing, but this appears
> to be a "regular" (non-security) bug. I have unmarked it as a security
> issue since this bug does not show evidence of allowing attackers to
> cross privilege boundaries nor directly cause loss of data/privacy.
> Please feel free to report any other bugs you may find.
>
> ** Information type changed from Private Security to Public
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://nam05.safelinks.protection.outlook.com/?url=https%3A%2F%2Fbugs.launchpad.net%2Fbugs%2F1900642&amp;data=04%7C01%7CRob.Frohne%40wallawalla.edu%7C48bbf2f2338a4bad9e3b08d874ad667c%7Cd958f048e43142779c8debfb75e7aa64%7C0%7C1%7C637387635392370790%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=2OJkI6yQF7a9iB3TllzWkAucjk8jdyEq6bJnJVK7YkI%3D&amp;reserved=0
>
> Title:
> sssd won't start
>
> To manage notifications about this bug go to:
> https://nam05.safelinks.protection.outlook.com/?url=https%3A%2F%2Fbugs.launchpad.net%2Fubuntu%2F%2Bsource%2Fsssd%2F%2Bbug%2F1900642%2F%2Bsubscriptions&amp;data=04%7C01%7CRob.Frohne%40wallawalla.edu%7C48bbf2f2338a4bad9e3b08d874ad667c%7Cd958f048e43142779c8debfb75e7aa64%7C0%7C1%7C637387635392380788%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=K5OYVcp%2BLDI0R8vDQ42296%2BCKHOY2UW2WCsVJcJOSZE%3D&amp;reserved=0

--
Rob Frohne, Ph.D. P.E.
E. F. Cross School of Engineering
Walla Walla University
100 SW 4th Street
College Place, WA 99362
(509) 527-2075

Revision history for this message
Rob Frohne (frohro) wrote :

Here is a link to the startup messages.

https://photos.app.goo.gl/1Y9eKhtuhNXNpjVQ8

Revision history for this message
Sebastien Bacher (seb128) wrote :

The sssd service is one handling Active Directory, is that a feature you opted in for during the installation?

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

sssd is installed by default now on groovy

the failure to start is mostly just noise, though there's a proposal to not even try to start if there's no conffile for it

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

This makes the default boot on livecd very ugly.

We must add conditions to the sssd.service to not attempt starting, if not configured.

@tjaalton where is this proposal? imho we must ship this for groovy.

Changed in sssd (Ubuntu):
status: New → Triaged
importance: Undecided → High
Revision history for this message
Dimitri John Ledkov (xnox) wrote :
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

need to test that above patch is enough, or if more units need the same guard.

tags: added: patch
Revision history for this message
Iain Lane (laney) wrote :

I think SRUing would be OK for this one.

tags: added: rls-gg-incoming
Revision history for this message
Peter de Kraker (peterdekraker) wrote :

I upgraded from 20.04 to 20.10 and now my boot screen is littered with SSSD error messages. I don't even know what it is ;). Anyway, it would be preferrable to not having these messages if not needed.

Revision history for this message
Mohegan (jack-mohegan) wrote :

Same bug for me. I applied the patch manually and it works for me !
Thanks @Dimitri John Ledkov (xnox) !

Revision history for this message
fprietog (fprietog) wrote :

I may add something else. During sssd install there were several warning messages:

Configurando sssd-common (2.3.1-3) ...
Creating SSSD system user & group...
adduser: Aviso: El directorio personal «/var/lib/sss» no pertenece al usuario que está creando.
Warning: found usr.sbin.sssd in /etc/apparmor.d/force-complain, forcing complain mode
Warning from /etc/apparmor.d/usr.sbin.sssd (/etc/apparmor.d/usr.sbin.sssd line 54): Caching disabled for: 'usr.sbin.sssd' due to force complain

About the first warning "adduser: Aviso: El directorio personal «/var/lib/sss» no pertenece al usuario que está creando."
(translation: adduser: Warning: The personal directory «/var/lib/sss» doesn't belong to the user that is being created).

I can tell that it's true; the directory /var/lib/sss is owned by root instead of sssd.
All the directories and files inside /var/lib/sss are owned by sssd user except /var/lib/sss/deskprofile directory that is also owned by root.

Probably not a problem, but may be also patched.

I can't tell about the warning messages related to apparmor.

Revision history for this message
Marietto (marietto2008) wrote :

I have the same problem and I have disabled and removed / purged apparmor with all the dependencies,but the error persisted.In my case it happens only if I load the xen hypervisor.

Revision history for this message
Marietto (marietto2008) wrote :

I've just purged sssd with this command : apt-get purge --auto-remove sssd and it didn't work. I see the same errors as before.

Revision history for this message
Stéphane (steph-pak) wrote :

I have the same problem. Some people found an workaround:

"SOLVED
# debug with
sudo sssd -d9 -i
# solution
sudo cp /usr/lib/x86_64-linux-gnu/sssd/conf/sssd.conf /etc/sssd/.
sudo chmod 600 /etc/sssd/sssd.conf"

source: https://ubuntuforums.org/showthread.php?t=2452209&p=13993643

In my case, I did this :
sudo ln -s /usr/lib/x86_64-linux-gnu/sssd/conf/sssd.conf /etc/sssd/sssd.conf

It work for me, but is it a "good/best practice" solution ?

Revision history for this message
Stéphane (steph-pak) wrote :

Well it was not a good idea, I had to revert because boot was unstable: I get no more sssd error log but boot freeze almost every time before gdm (black screen)...

tags: added: server-next
Changed in sssd (Ubuntu Groovy):
status: New → Triaged
assignee: nobody → Sergio Durigan Junior (sergiodj)
Changed in sssd (Ubuntu Hirsute):
assignee: nobody → Sergio Durigan Junior (sergiodj)
Changed in sssd (Ubuntu Groovy):
importance: Undecided → Medium
Revision history for this message
Sergio Durigan Junior (sergiodj) wrote :
Download full text (3.2 KiB)

I finally had some time to do some investigation on this bug. I appreciate the analysis done by others, and the patch provided by Dimitri.

I verified that using ConditionPathExists on sssd.service does prevent sssd from starting (as expected), which means that the error messages in the log are gone.

sssd has a lot of services and socket-activated units associate with it, but all of them are ultimately bound (via systemd's BindsTo and After directives) to sssd.service, which means that they will not start unless sssd.service also starts. As such, and to avoid redundancy, I think it is better to modify only sssd.service. This has the "downside" that the user will still see warning messages (not errors) in the logs, like:

Dec 09 18:44:29 focal-desktop systemd[1]: sssd-nss.socket: Bound to unit sssd.service, but unit isn't active.
Dec 09 18:44:29 focal-desktop systemd[1]: Dependency failed for SSSD NSS Service responder socket.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-nss.socket: Job sssd-nss.socket/start failed with result 'dependency'.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-autofs.socket: Bound to unit sssd.service, but unit isn't active.
Dec 09 18:44:29 focal-desktop systemd[1]: Dependency failed for SSSD AutoFS Service responder socket.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-autofs.socket: Job sssd-autofs.socket/start failed with result 'dependency'.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-pac.socket: Bound to unit sssd.service, but unit isn't active.
Dec 09 18:44:29 focal-desktop systemd[1]: Dependency failed for SSSD PAC Service responder socket.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-pac.socket: Job sssd-pac.socket/start failed with result 'dependency'.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-pam-priv.socket: Bound to unit sssd.service, but unit isn't active.
Dec 09 18:44:29 focal-desktop systemd[1]: Dependency failed for SSSD PAM Service responder private socket.
Dec 09 18:44:29 focal-desktop systemd[1]: Dependency failed for SSSD PAM Service responder socket.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-pam.socket: Job sssd-pam.socket/start failed with result 'dependency'.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-pam-priv.socket: Job sssd-pam-priv.socket/start failed with result 'dependency'.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-ssh.socket: Bound to unit sssd.service, but unit isn't active.
Dec 09 18:44:29 focal-desktop systemd[1]: Dependency failed for SSSD SSH Service responder socket.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-ssh.socket: Job sssd-ssh.socket/start failed with result 'dependency'.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-sudo.socket: Bound to unit sssd.service, but unit isn't active.
Dec 09 18:44:29 focal-desktop systemd[1]: Dependency failed for SSSD Sudo Service responder socket.
Dec 09 18:44:29 focal-desktop systemd[1]: sssd-sudo.socket: Job sssd-sudo.socket/start failed with result 'dependency'.

I think this is fine, though, because, as I said above, these are just warnings.

I am going to prepare an upload with the systemd change mentioned above, and will perform more tests to verify that everything works OK. Hopefully I will be able t...

Read more...

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

I'm thinking that enabling socket activation was a mistake, as no other distro I know of (besides Debian etc) do that. It also requires patching adcli and freeipa to not put "services = ..." line on the sssd.conf or it would fail to start.

I've uploaded 2.4.0-1 to unstable and probably will drop socket activation in the next upload well before bullseye is frozen.

description: updated
Revision history for this message
Sergio Durigan Junior (sergiodj) wrote :

@Timo thanks for looking into that. FWIW, I've just opened a MR on salsa in order to propose this change to the Debian sssd as well:

https://salsa.debian.org/sssd-team/sssd/-/merge_requests/10

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sssd - 2.4.0-1ubuntu1

---------------
sssd (2.4.0-1ubuntu1) hirsute; urgency=medium

  * d/p/condition-path-exists-sssd-conf.patch: Only start
    sssd.service if there is a configuration file present.
    (LP: #1900642)

 -- Sergio Durigan Junior <email address hidden> Thu, 10 Dec 2020 14:20:24 -0500

Changed in sssd (Ubuntu Hirsute):
status: Triaged → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello Rob, or anyone else affected,

Accepted sssd into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sssd/2.3.1-3ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sssd (Ubuntu Groovy):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-groovy
Revision history for this message
geole0 (geole0) wrote :

Hello
See these return

$ sudo apt update
Atteint :1 http://fr.archive.ubuntu.com/ubuntu groovy InRelease
Atteint :2 http://fr.archive.ubuntu.com/ubuntu groovy-updates InRelease
Atteint :3 http://security.ubuntu.com/ubuntu groovy-security InRelease
Atteint :4 http://fr.archive.ubuntu.com/ubuntu groovy-backports InRelease
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Tous les paquets sont à jour.

journalctl -b -p err
-- Logs begin at Wed 2020-10-07 09:43:17 CEST, end at Thu 2020-12-24 11:15:48 CET. --
déc. 24 11:10:46 a systemd[1]: Timed out waiting for device /dev/disk/by-uuid/db029e9d-4bc9-4e6e-8fd8-c860d4457331.
déc. 24 11:10:54 a sssd[995]: SSSD couldn't load the configuration database [2]: No such file or directory.
déc. 24 11:10:54 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:10:55 a sssd[1115]: SSSD couldn't load the configuration database [2]: No such file or directory.
déc. 24 11:10:55 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:10:56 a sssd[1122]: SSSD couldn't load the configuration database [2]: No such file or directory.
déc. 24 11:10:56 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:10:57 a sssd[1126]: SSSD couldn't load the configuration database [2]: No such file or directory.
déc. 24 11:10:57 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:10:58 a sssd[1134]: SSSD couldn't load the configuration database [2]: No such file or directory.
déc. 24 11:10:58 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:10:59 a sssd[1142]: SSSD couldn't load the configuration database [2]: No such file or directory.
déc. 24 11:10:59 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:11:00 a wpa_supplicant[1001]: nl80211: kernel reports: key not allowed
déc. 24 11:11:00 a sssd[1151]: SSSD couldn't load the configuration database [2]: No such file or directory.
déc. 24 11:11:00 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:11:01 a sssd[1187]: SSSD couldn't load the configuration database [2]: No such file or directory.
déc. 24 11:11:01 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:11:02 a sssd[1195]: SSSD couldn't load the configuration database [2]: No such file or directory.
déc. 24 11:11:02 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:11:02 a systemd[1]: Failed to start System Security Services Daemon.
déc. 24 11:15:21 a sudo[3318]: a : problem with defaults entries ; TTY=pts/0 ; PWD=/home/a ; USER=root ;

cat /etc/os-release
NAME="Ubuntu"
VERSION="20.10 (Groovy Gorilla)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 20.10"
VERSION_ID="20.10"
HOME_URL="https://www.ubuntu.com/"
SUPPORT_URL="https://help.ubuntu.com/"
BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/"
PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies/privacy-policy"
VERSION_CODENAME=groovy
UBUNTU_CODENAME=groovy

Revision history for this message
Sergio Durigan Junior (sergiodj) wrote :

Brian, thanks so much for accepting the SRU so quick! As it turns out, I was able to come up with a better, more complete fix, and upstream has accepted it a few days ago. For that reason, and after consulting with Robie, I am dropping the verification-* tags from this bug, and will prepare a new upload containing the fix I mentioned.

Ah, and I received a report from user saying that he would like this fix to land in Focal as well, so I will prepare an upload for it as well.

tags: removed: verification-needed verification-needed-groovy
Changed in sssd (Ubuntu Focal):
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Sergio Durigan Junior (sergiodj)
Revision history for this message
Sergio Durigan Junior (sergiodj) wrote :

OK, packages uploaded for Groovy and Focal (waiting on the SRU team now), and Hirsute.

Revision history for this message
Robie Basak (racb) wrote :

I agree with the better fix of also covering /etc/sssd/conf.d in the condition, and taking the upstream patch is the best way of reducing the maintenance burden in Hirsute.

For Focal and Groovy, I'd normally expect a more minimal fix of just patching the service file, rather than the increased complexity of the conditional build, given that we know what the answer to the condition is on Ubuntu and that we usually aim for the most minimal fix. However in this case we can easily verify the outcome of the conditional build and that'll happen via SRU verification automatically, so I'm accepting it.

tags: added: verification-needed verification-needed-groovy
Revision history for this message
Robie Basak (racb) wrote :

Hello Rob, or anyone else affected,

Accepted sssd into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sssd/2.3.1-3ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sssd (Ubuntu Focal):
status: Confirmed → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Robie Basak (racb) wrote :

Hello Rob, or anyone else affected,

Accepted sssd into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sssd/2.2.3-3ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Sergio Durigan Junior (sergiodj) wrote :

Verification for Focal:

root@focal-desktop:~# apt policy sssd
sssd:
  Installed: 2.2.3-3ubuntu0.1
  Candidate: 2.2.3-3ubuntu0.1
  Version table:
 *** 2.2.3-3ubuntu0.1 500
        500 http://ca.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     2.2.3-3 500
        500 http://ca.archive.ubuntu.com/ubuntu focal/main amd64 Packages

Booting the VM and verifying that the bug exists:

root@focal-desktop:~# journalctl -u sssd.service --boot 0
Jan 15 13:20:14 focal-desktop systemd[1]: Starting System Security Services Daemon...
Jan 15 13:20:14 focal-desktop sssd[655]: SSSD couldn't load the configuration database [2]: No such file or directory.
Jan 15 13:20:14 focal-desktop systemd[1]: sssd.service: Main process exited, code=exited, status=4/NOPERMISSION
Jan 15 13:20:14 focal-desktop systemd[1]: sssd.service: Failed with result 'exit-code'.
Jan 15 13:20:14 focal-desktop systemd[1]: Failed to start System Security Services Daemon.
Jan 15 13:20:14 focal-desktop systemd[1]: sssd.service: Scheduled restart job, restart counter is at 1.
Jan 15 13:20:14 focal-desktop systemd[1]: Stopped System Security Services Daemon.
...

Installing the proposed package and verifying that it solves the problem:

root@focal-desktop:~# apt policy sssd
sssd:
  Installed: 2.2.3-3ubuntu0.2
  Candidate: 2.2.3-3ubuntu0.2
  Version table:
 *** 2.2.3-3ubuntu0.2 500
        500 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2.2.3-3ubuntu0.1 500
        500 http://ca.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
     2.2.3-3 500
        500 http://ca.archive.ubuntu.com/ubuntu focal/main amd64 Packages

root@focal-desktop:~# journalctl -u sssd.service --boot 0
-- Logs begin at Tue 2020-12-08 17:53:54 EST, end at Fri 2021-01-15 13:23:18 EST. --
Jan 15 13:23:07 focal-desktop systemd[1]: Condition check resulted in System Security Services Daemon being skipped.

Therefore, the service was correctly skipped because there is no configuration file present.

Verification done for Focal.

tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Sergio Durigan Junior (sergiodj) wrote :

Verification for Groovy.

root@groovy-desktop:~# apt policy sssd
sssd:
  Installed: 2.3.1-3
  Candidate: 2.3.1-3
  Version table:
 *** 2.3.1-3 500
        500 http://ca.archive.ubuntu.com/ubuntu groovy/main amd64 Packages
        100 /var/lib/dpkg/status

Booting the VM and verifying that the bug exists:

root@groovy-desktop:~# journalctl -u sssd.service --boot 0
Jan 15 13:26:21 groovy-desktop systemd[1]: Starting System Security Services Daemon...
Jan 15 13:26:21 groovy-desktop sssd[641]: SSSD couldn't load the configuration database [2]: No such file or directory.
Jan 15 13:26:21 groovy-desktop systemd[1]: sssd.service: Main process exited, code=exited, status=4/NOPERMISSION
Jan 15 13:26:21 groovy-desktop systemd[1]: sssd.service: Failed with result 'exit-code'.
Jan 15 13:26:21 groovy-desktop systemd[1]: Failed to start System Security Services Daemon.
Jan 15 13:26:21 groovy-desktop systemd[1]: sssd.service: Scheduled restart job, restart counter is at 1.
Jan 15 13:26:21 groovy-desktop systemd[1]: Stopped System Security Services Daemon.
...

Installing the proposed package and verifying that it solves the problem:

root@groovy-desktop:~# apt policy sssd
sssd:
  Installed: 2.3.1-3ubuntu2
  Candidate: 2.3.1-3ubuntu2
  Version table:
 *** 2.3.1-3ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu groovy-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2.3.1-3 500
        500 http://ca.archive.ubuntu.com/ubuntu groovy/main amd64 Packages

root@groovy-desktop:~# journalctl -u sssd.service --boot 0
-- Logs begin at Wed 2020-12-09 18:34:32 EST, end at Fri 2021-01-15 13:28:44 EST. --
Jan 15 13:28:32 groovy-desktop systemd[1]: Condition check resulted in System Security Services Daemon being skipped.

Therefore, the service was correctly skipped because there is no configuration file present.

Verification done for Groovy.

tags: added: verification-done-groovy
removed: verification-needed verification-needed-groovy
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sssd - 2.3.1-3ubuntu2

---------------
sssd (2.3.1-3ubuntu2) groovy; urgency=medium

  * d/p/0003-Only-start-sssd.service-if-there-s-a-configuration-f.patch:
    Upstream patch to make sssd.service only able to start when there
    is a configuration file present. (LP: #1900642)
  * d/p/condition-path-exists-sssd-conf.patch: Remove.

 -- Sergio Durigan Junior <email address hidden> Mon, 11 Jan 2021 14:30:55 -0500

Changed in sssd (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for sssd has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sssd - 2.2.3-3ubuntu0.2

---------------
sssd (2.2.3-3ubuntu0.2) focal; urgency=medium

  * d/p/0003-Only-start-sssd.service-if-there-s-a-configuration-f.patch:
    Upstream patch to make sssd.service only able to start when there
    is a configuration file present. (LP: #1900642)

 -- Sergio Durigan Junior <email address hidden> Mon, 11 Jan 2021 14:33:54 -0500

Changed in sssd (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers